%global momorel 16
%global majorver 0.7
%global revision 1785
%global srcname XaraLX

Summary: Open source version of Xara Xtream LX graphics software
Name: xaralx
Version: %{majorver}.r%{revision}
Release: %{momorel}m%{?dist}
License: GPL and "TEMPORARY LICENSE FOR CDRAW (see LIBS-LICENSE)"
Group:   Applications/Multimedia
URL:     http://www.xaraxtreme.org/
Source0: http://downloads.xara.com/opensource/%{srcname}-%{majorver}r%{revision}.tar.bz2
Patch0: %{name}-0.5r1251-svnversion.patch
Patch1: %{srcname}-%{majorver}r%{revision}-gcc43.patch
Patch2: %{srcname}-%{majorver}r%{revision}-glib220.patch
Patch3: %{srcname}-%{majorver}r%{revision}-gcc-4.4.4.patch
Patch4: %{srcname}-%{majorver}r%{revision}-desktop.patch
Patch5: XaraLX-0.7r1785-gcc45.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: wxGTK-unicode >= 2.8.6
BuildRequires: wxGTK-unicode-devel >= 2.8.10-2
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: libjpeg-devel >= 8a
BuildRequires: perl
BuildRequires: subversion

%description
Xara X has been a commercial shipping Windows product for 10 years (and non-Windows versions go back before that). It's a modern, object orientated design that's highly stable, and has gained hundreds of thousands of users. Our users and customers have produced artwork that is as impressive, if not more impressive, than that produced from any other vector graphics program.

Xara Xtreme on Linux will not only bring a leading-edge graphic tool to the platform, but with community assistance, has the potential to become the world's most powerful, easiest-to-use and simply the world's best graphics program. If we get it right this could bring the Linux desktop into whole sectors of the market that is has not been able to address before.

%prep
%setup -q -n %{srcname}-%{majorver}r%{revision}

%patch0 -p1 -b .version
%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .glib220
%patch3 -p1 -b .gcc444
%patch4 -p1 -b .fix-menu
%patch5 -p1 -b .gcc45~

./autogen.sh

%build
export CXXFLAGS="%{optflags} -std=gnu++98"

%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

# Templates, Examples
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -rf Templates %{buildroot}%{_datadir}/%{name}
cp -rf testfiles %{buildroot}%{_datadir}/%{name}
cp -rf TextDesigns %{buildroot}%{_datadir}/%{name}
cp -rf Designs %{buildroot}%{_datadir}/%{name}

# xaralx
ln -s %{srcname} %{buildroot}%{_bindir}/%{name}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  %{name}.desktop

# install icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{name}.xpm %{buildroot}%{_datadir}/pixmaps/

# install man
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GPL INSTALL README
%doc libs/LIBS-LICENSE LICENSE
%doc doc
%{_bindir}/%{srcname}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/%{name}

%changelog
* Fri May 26 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.r1785-16m)
- fix build by gcc7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.r1785-15m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.r1785-14m)
- rebuild for new GCC 4.5

* Sun Oct 17 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.r1785-13m)
- add gcc45 patch

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.r1785-12m)
- full rebuild for mo7 release

* Mon May 31 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.r1785-11m)
- fix up desktop file

* Sun May  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.r1785-10m)
- add patch3 for gcc-4.4.4

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.r1785-9m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.r1785-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.r1785-7m)
- rebuild against glib-2.22.0

* Sat Sep 12 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.r1785-6m)
- rebuild against libjpeg-7

* Sun Feb 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.r1785-5m)
- revise for gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.r1785-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.r1785-3m)
- rebuild against gcc43

* Mon Jan 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.r1785-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Fri Nov 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.r1785-1m)
- update to 0.7r1785 and build with wxGTK-unicode-2.8.6

* Wed Sep 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.r1756-1m)
- update to 0.7r1756

* Sun Sep 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.r1442-2m)
- remove category Application

* Sat Jul 15 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.r1442-1m)
- updated to 0.6

* Fri Jun 09 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.r1263-1m)
- initial import to Momonga
